From nobody@FreeBSD.org  Wed Oct 21 08:01:38 2009
Return-Path: <nobody@FreeBSD.org>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id 87A79106566C
	for <freebsd-gnats-submit@FreeBSD.org>; Wed, 21 Oct 2009 08:01:38 +0000 (UTC)
	(envelope-from nobody@FreeBSD.org)
Received: from www.freebsd.org (www.freebsd.org [IPv6:2001:4f8:fff6::21])
	by mx1.freebsd.org (Postfix) with ESMTP id 776FF8FC08
	for <freebsd-gnats-submit@FreeBSD.org>; Wed, 21 Oct 2009 08:01:38 +0000 (UTC)
Received: from www.freebsd.org (localhost [127.0.0.1])
	by www.freebsd.org (8.14.3/8.14.3) with ESMTP id n9L81cwA067527
	for <freebsd-gnats-submit@FreeBSD.org>; Wed, 21 Oct 2009 08:01:38 GMT
	(envelope-from nobody@www.freebsd.org)
Received: (from nobody@localhost)
	by www.freebsd.org (8.14.3/8.14.3/Submit) id n9L81cD5067526;
	Wed, 21 Oct 2009 08:01:38 GMT
	(envelope-from nobody)
Message-Id: <200910210801.n9L81cD5067526@www.freebsd.org>
Date: Wed, 21 Oct 2009 08:01:38 GMT
From: bf <bf1783@gmail.com>
To: freebsd-gnats-submit@FreeBSD.org
Subject: [PATCH]ports-mgmt/portaudit: remove unmatched quotes
X-Send-Pr-Version: www-3.1
X-GNATS-Notify:

>Number:         139810
>Category:       ports
>Synopsis:       [PATCH]ports-mgmt/portaudit: remove unmatched quotes
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    remko
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Wed Oct 21 08:10:01 UTC 2009
>Closed-Date:    Wed Oct 21 08:31:09 UTC 2009
>Last-Modified:  Wed Oct 21 08:40:01 UTC 2009
>Originator:     bf
>Release:        9-CURRENT amd64
>Organization:
-
>Environment:
>Description:
r197691, 

http://svn.freebsd.org/changeset/base/197691

has uncovered an old bug in portaudit.  Fix by removing unmatched quotes, to allow portaudit to work on -CURRENT.
>How-To-Repeat:

>Fix:


Patch attached with submission follows:

diff -ruN portaudit.orig/files/portaudit-cmd.sh portaudit/files/portaudit-cmd.sh
--- portaudit.orig/files/portaudit-cmd.sh	2009-10-21 03:40:29.000000000 -0400
+++ portaudit/files/portaudit-cmd.sh	2009-10-17 08:48:59.000000000 -0400
@@ -264,7 +264,7 @@
 		return 2
 	fi
 
-	PKGNAME=`make -VPKGNAME 2>/dev/null || true"`
+	PKGNAME=`make -VPKGNAME 2>/dev/null || true`
 
 	if [ -z "$PKGNAME" ]; then
 		echo "portaudit: Can't determine the package name" >&2


>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->secteam 
Responsible-Changed-By: edwin 
Responsible-Changed-When: Wed Oct 21 08:10:12 UTC 2009 
Responsible-Changed-Why:  
Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=139810 
Responsible-Changed-From-To: secteam->remko 
Responsible-Changed-By: remko 
Responsible-Changed-When: Wed Oct 21 08:20:46 UTC 2009 
Responsible-Changed-Why:  
I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=139810 
State-Changed-From-To: open->closed 
State-Changed-By: remko 
State-Changed-When: Wed Oct 21 08:31:08 UTC 2009 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=139810 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/139810: commit references a PR
Date: Wed, 21 Oct 2009 08:31:11 +0000 (UTC)

 remko       2009-10-21 08:30:57 UTC
 
   FreeBSD ports repository (src,doc committer)
 
   Modified files:
     ports-mgmt/portaudit/files portaudit-cmd.sh 
   Log:
   Fix unmatched quote.
   
   PR:             ports/139810
   Submitted by:   bf <bf1783 at gmail dot com>
   
   Revision  Changes    Path
   1.16      +2 -2      ports/ports-mgmt/portaudit/files/portaudit-cmd.sh
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
